Changing the order

The method is available for the LaaS model.

Not yet available for Market Yandex Go sellers.

If you are using an API Key token, one of the accesses in the list is required to call the method

Changes in the order:

  • recipient's details;
  • the courier delivery date interval.

Transmit only the information that you want to change. If necessary, you can edit both the recipient's details and the delivery interval at the same time.

The order can be changed in any status before delivery to the buyer or cancellation (DELIVERED or CANCELLED).

The order data is not updated instantly

The changes are applied within a few minutes and only if the operation is completed successfully. How to check the operation status

⚙️ Limit: 10 000 requests per hour

Request

POST

https://api.partner.market.yandex.ru/v1/campaigns/{campaignId}/orders/update

Path parameters

Name

Description

campaignId

Type: integer

The ID of the campaign (store) — The technical identifier that represents your store in the Yandex Market system when working through the API. It is uniquely linked to your store, but it is intended only for automated interaction.

You can find it using a query GET v2/campaigns or find it in the seller's office on the Market. Click on your account icon → Settings and in the menu on the left, select APIs and modules:

  • block Campaign ID;
  • tab Query log → drop-down list in the block Show logs.

⚠️ Do not confuse it with:

  • the store's identifier, which is displayed in the merchant's personal account.
  • advertising campaigns.

Min value: 1

Body

application/json
{
  "order": {
    "id": 0,
    "deliveryInterval": {
      "deliveryDateInterval": {
        "fromDate": "2025-01-01",
        "toDate": "2025-01-01"
      },
      "deliveryTimeInterval": {
        "fromTime": "example",
        "toTime": "example"
      }
    },
    "customer": {
      "firstName": "example",
      "lastName": "example",
      "middleName": "example",
      "phone": "example"
    }
  }
}

Name

Description

order

Type: object

id

Type: integer

The ID of the order that needs changes.

customer

Type: object

firstName

Type: string

Name.

Min length: 1

Max length: 512

Example: example

lastName

Type: string

Surname.

Min length: 1

Max length: 512

Example: example

phone

Type: string

Phone number.

Format: +<country code><region_code><phone number>.

Min length: 5

Max length: 16

Pattern: ^\+[0-9]+$

Example: example

middleName

Type: string

Middle name.

Min length: 1

Max length: 512

Example: example

Details of the recipient of the order or the sender of the refund.

Example
{
  "firstName": "example",
  "lastName": "example",
  "middleName": "example",
  "phone": "example"
}

deliveryInterval

Type: object

deliveryDateInterval

Type: object

fromDate

Type: string<date>

The beginning of the interval.

Date format: YYYY-MM-DD.

Example: 2025-01-01

toDate

Type: string<date>

End of the interval.

Date format: YYYY-MM-DD.

Example: 2025-01-01

The range of delivery dates.

Example
{
  "fromDate": "2025-01-01",
  "toDate": "2025-01-01"
}

deliveryTimeInterval

Type: object

fromTime

Type: string

The beginning of the interval.

Format: HH:MM.

Pattern: ^([0-1][0-9]&#124;2[0-3]):[0-5][0-9]$

Example: example

toTime

Type: string

End of the interval.

Format: HH:MM.

Pattern: ^([0-1][0-9]&#124;2[0-3]):[0-5][0-9]$

Example: example

The delivery time interval.

Example
{
  "fromTime": "example",
  "toTime": "example"
}

Date and time intervals.

Example
{
  "deliveryDateInterval": {
    "fromDate": "2025-01-01",
    "toDate": "2025-01-01"
  },
  "deliveryTimeInterval": {
    "fromTime": "example",
    "toTime": "example"
  }
}

Information that needs to be changed.

Example
{
  "id": 0,
  "deliveryInterval": {
    "deliveryDateInterval": {
      "fromDate": "2025-01-01",
      "toDate": "2025-01-01"
    },
    "deliveryTimeInterval": {
      "fromTime": "example",
      "toTime": "example"
    }
  },
  "customer": {
    "firstName": "example",
    "lastName": "example",
    "middleName": "example",
    "phone": "example"
  }
}

Responses

200 OK

Information about the order modification operation.

Answer 200 It does not mean that the data has been changed.

If the request is successful, it will happen after a while. How to check the operation status

Body

application/json
{
  "status": "OK",
  "result": {
    "operations": [
      {
        "id": "example",
        "type": "ORDER_RECIPIENT_UPDATE"
      }
    ]
  }
}

Type: object

All of 2 types
  • Type: object

    status

    Type: string

    The type of response. Possible values:

    • OK — There are no errors.
    • ERROR — an error occurred while processing the request.

    Enum: OK, ERROR

    The standard wrapper for server responses.

    Example
    {
      "status": "OK"
    }
    
  • Type: object

    result

    Type: object

    operations

    Type: object[]

    id

    Type: string

    ID of the operation.

    Min length: 1

    Max length: 1000

    Example: example

    type

    Type: string

    Type of operation:

    • ORDER_RECIPIENT_UPDATE — changing the recipient's data.

    • ORDER_DELIVERY_INTERVAL_UPDATE — changing the delivery date interval.

    • ORDER_STATUS_UPDATE — updating the order status to cancel it.

    • RETURN_CANCELLATION — cancellation of the refund.

    Enum: ORDER_RECIPIENT_UPDATE, ORDER_DELIVERY_INTERVAL_UPDATE, ORDER_STATUS_UPDATE, RETURN_CANCELLATION

    Information about running operations to change the order.

    Min items: 1

    Example
    [
      {
        "id": "example",
        "type": "ORDER_RECIPIENT_UPDATE"
      }
    ]
    

    Information about the order modification operation.

    Example
    {
      "operations": [
        {
          "id": "example",
          "type": "ORDER_RECIPIENT_UPDATE"
        }
      ]
    }
    
    Example
    {
      "result": {
        "operations": [
          {
            "id": "example",
            "type": "ORDER_RECIPIENT_UPDATE"
          }
        ]
      }
    }
    

400 Bad Request

The request contains incorrect data. Learn more about errors when working with orders

Body

application/json
{
  "status": "OK",
  "errors": [
    {
      "code": "example",
      "message": "example"
    }
  ]
}

Type: object

All of 1 type
  • Type: object

    All of 2 types
    • Type: object

      status

      Type: string

      The type of response. Possible values:

      • OK — There are no errors.
      • ERROR — an error occurred while processing the request.

      Enum: OK, ERROR

      The standard wrapper for server responses.

      Example
      {
        "status": "OK"
      }
      
    • Type: object

      errors

      Type: object[]

      code

      Type: string

      The error code.

      Example: example

      message

      Type: string

      Description of the error.

      Example: example

      A list of errors.

      Min items: 1

      Example
      [
        {
          "code": "example",
          "message": "example"
        }
      ]
      
      Example
      {
        "errors": [
          {
            "code": "example",
            "message": "example"
          }
        ]
      }
      

    A standard wrapper for server errors.

    Example
    {
      "status": "OK",
      "errors": [
        {
          "code": "example",
          "message": "example"
        }
      ]
    }
    

401 Unauthorized

The authorization data is not specified in the request. More information about the error

Body

application/json
{
  "status": "OK",
  "errors": [
    {
      "code": "example",
      "message": "example"
    }
  ]
}

Type: object

All of 1 type
  • Type: object

    All of 2 types
    • Type: object

      status

      Type: string

      The type of response. Possible values:

      • OK — There are no errors.
      • ERROR — an error occurred while processing the request.

      Enum: OK, ERROR

      The standard wrapper for server responses.

      Example
      {
        "status": "OK"
      }
      
    • Type: object

      errors

      Type: object[]

      code

      Type: string

      The error code.

      Example: example

      message

      Type: string

      Description of the error.

      Example: example

      A list of errors.

      Min items: 1

      Example
      [
        {
          "code": "example",
          "message": "example"
        }
      ]
      
      Example
      {
        "errors": [
          {
            "code": "example",
            "message": "example"
          }
        ]
      }
      

    A standard wrapper for server errors.

    Example
    {
      "status": "OK",
      "errors": [
        {
          "code": "example",
          "message": "example"
        }
      ]
    }
    

403 Forbidden

The authorization data is incorrect or access to the resource is prohibited. More information about the error

Body

application/json
{
  "status": "OK",
  "errors": [
    {
      "code": "example",
      "message": "example"
    }
  ]
}

Type: object

All of 1 type
  • Type: object

    All of 2 types
    • Type: object

      status

      Type: string

      The type of response. Possible values:

      • OK — There are no errors.
      • ERROR — an error occurred while processing the request.

      Enum: OK, ERROR

      The standard wrapper for server responses.

      Example
      {
        "status": "OK"
      }
      
    • Type: object

      errors

      Type: object[]

      code

      Type: string

      The error code.

      Example: example

      message

      Type: string

      Description of the error.

      Example: example

      A list of errors.

      Min items: 1

      Example
      [
        {
          "code": "example",
          "message": "example"
        }
      ]
      
      Example
      {
        "errors": [
          {
            "code": "example",
            "message": "example"
          }
        ]
      }
      

    A standard wrapper for server errors.

    Example
    {
      "status": "OK",
      "errors": [
        {
          "code": "example",
          "message": "example"
        }
      ]
    }
    

420 Method Failure

The resource access limit has been exceeded. More information about the error

Body

application/json
{
  "status": "OK",
  "errors": [
    {
      "code": "example",
      "message": "example"
    }
  ]
}

Type: object

All of 1 type
  • Type: object

    All of 2 types
    • Type: object

      status

      Type: string

      The type of response. Possible values:

      • OK — There are no errors.
      • ERROR — an error occurred while processing the request.

      Enum: OK, ERROR

      The standard wrapper for server responses.

      Example
      {
        "status": "OK"
      }
      
    • Type: object

      errors

      Type: object[]

      code

      Type: string

      The error code.

      Example: example

      message

      Type: string

      Description of the error.

      Example: example

      A list of errors.

      Min items: 1

      Example
      [
        {
          "code": "example",
          "message": "example"
        }
      ]
      
      Example
      {
        "errors": [
          {
            "code": "example",
            "message": "example"
          }
        ]
      }
      

    A standard wrapper for server errors.

    Example
    {
      "status": "OK",
      "errors": [
        {
          "code": "example",
          "message": "example"
        }
      ]
    }
    

500 Internal Server Error

Internal error of Yandex. Market. More information about the error

Body

application/json
{
  "status": "OK",
  "errors": [
    {
      "code": "example",
      "message": "example"
    }
  ]
}

Type: object

All of 1 type
  • Type: object

    All of 2 types
    • Type: object

      status

      Type: string

      The type of response. Possible values:

      • OK — There are no errors.
      • ERROR — an error occurred while processing the request.

      Enum: OK, ERROR

      The standard wrapper for server responses.

      Example
      {
        "status": "OK"
      }
      
    • Type: object

      errors

      Type: object[]

      code

      Type: string

      The error code.

      Example: example

      message

      Type: string

      Description of the error.

      Example: example

      A list of errors.

      Min items: 1

      Example
      [
        {
          "code": "example",
          "message": "example"
        }
      ]
      
      Example
      {
        "errors": [
          {
            "code": "example",
            "message": "example"
          }
        ]
      }
      

    A standard wrapper for server errors.

    Example
    {
      "status": "OK",
      "errors": [
        {
          "code": "example",
          "message": "example"
        }
      ]
    }
    

No longer supported, please use an alternative and newer version.